Bug 102751 - Galeon for Mozilla 1.4 missing from Raw Hide
Galeon for Mozilla 1.4 missing from Raw Hide
Status: CLOSED WONTFIX
Product: Red Hat Raw Hide
Classification: Retired
Component: galeon (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Blizzard
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-20 12:58 EDT by Jan Pazdziora
Modified: 2007-04-18 12:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-03 10:52:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Pazdziora 2003-08-20 12:58:37 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.10 (X11; Linux i686; U;) Gecko/20030314

Description of problem:
The latest galeon for Red Hat 9 was galeon-1.2.7-3.

This galeon cannot be used witht he latest mozilla from Raw Hide:

RPMS# rpm -Fvh mozilla*
warning: mozilla-1.4-12.i386.rpm: V3 DSA signature: NOKEY, key ID 897da07a
Preparing...                ########################################### [100%]
   1:mozilla-nspr           ########################################### [ 25%]
   2:mozilla                ########################################### [ 50%]
   3:mozilla-nss            ########################################### [ 75%]
   4:mozilla-psm            ########################################### [100%]

RPMS# rpm -Uvh galeon-1.2.7-3.i386.rpm 
warning: galeon-1.2.7-3.i386.rpm: V3 DSA signature: NOKEY, key ID db42a60e
error: Failed dependencies:
        mozilla = 35:1.2.1 is needed by galeon-1.2.7-3


Nowhere on the Web I was able to find reasonably new Galeon that would
go with Mozilla 1.4 from Raw Hide. Ideally, both 1.2 and 1.3 versions
could be provided, as the 1.3 still lacks many features (but is assumed
to catch on in the future). It would be very sad if Galeon was to
disappear from Red Hat completely.

Version-Release number of selected component (if applicable):
galeon 1.2.11, ideally

How reproducible:
Always

Steps to Reproduce:
1. Well, there doesn't seem to be galeon in rawhide, every time
   I look, lately.
    

Additional info:
Comment 1 Michael Lee Yohe 2003-08-22 11:34:02 EDT
The Severn Release Notes give some insight into what happened to Galeon.

- galeon — Replaced by epiphany (Galeon 1.2.<x> series no longer maintained)

Alternatively - you can download the following tarball:
http://prdownloads.sourceforge.net/galeon/galeon-1.2.11.tar.gz?download

*then*, feed it into rpmbuild (rpmbuild -tb <download
path>/galeon-1.2.11.tar.gz). Provided you have all the packages required, it
should produce a nice binary package for you.
Comment 2 Jan Pazdziora 2003-08-22 11:56:02 EDT
Ugh. Didn't read the release notes, thanks for pointing that out (that they
made it official).

I somehow hoped that Red Hat will not follow the stupid^H^H^H^H^H^Hunfortunate
decision of Gnome to dump Galeon. I cannot see how Epiphany can replate
Galeon, having one third of its features. Is there any reason at all why the
distribution couldn't contain _both_ Galeon and Epiphany?

I tried to rebuild my own Galeon but failed, even when I tried to mimick
the last RH galeon.rpm. I'm not good enough in autoconf / Gtk+ to debug
it till the end and couldn't give it more than two hours, which was the
time it took to get all the prerequisites together with repeated ./configure
attempts.

Anyway, if one is to compile own software, what is the point of using
Red Hat and not Gentoo instead? It there a way for users to raise their
voices favoring return of Galeon to RH distribution? Or is this CEO's
decision, inrevokable?
Comment 3 Michael Lee Yohe 2003-08-22 12:12:59 EDT
Ah.. I just attempted to build the binary package myself.  It seems that 1.2.11
is not compatible with the latest release of Mozilla.  You will have to
downgrade to Mozilla 1.3 to get it to build (theoretically).
Comment 4 Jan Pazdziora 2003-08-22 12:23:28 EDT
Did you manage to figure our how deep the problem was? Would using 1.2.10
help? I can see that Gentoo distributes Mozilla 1.4r3 and Galeon 1.2.10a.
So there must be a way to get at least those two versions to play together.

Around here, quite a few people use Galeon 1.2. Both 1.3 and Epiphany are
still far from being reasonable replacement -- heck, Epiphany got included
in Red Hat distribution for the first time, it doesn't even have any public
history. Forcing people to Mozilla will not be nice, since they once found
their way from Mozilla to lightweight Galeon.
Comment 5 Michael Lee Yohe 2003-08-22 12:45:06 EDT
Did you try installing the following RPM?

http://prdownloads.sourceforge.net/galeon/galeon-1.2.10-1.i386.rpm?download
Comment 6 Jan Pazdziora 2003-08-22 12:48:06 EDT
Sure I tried:

# rpm -Uvh /tmp//galeon-1.2.10-1.i386.rpm
error: Failed dependencies:
        mozilla = 1.3-0_rh8_xft is needed by galeon-1.2.10-1
        libgtksuperwin.so is needed by galeon-1.2.10-1
Comment 7 Enrico Scholz 2003-08-22 18:27:04 EDT
You will have to recompile mozilla first by changing

|- %define toolkit_options --enable-default-toolkit=gtk2 --disable-freetype2 --enable-xft
|+ %define toolkit_options --enable-default-toolkit=gtk  --enable-freetype2 --disable-xft

in the .spec-file.

Unfortunately, mozilla does not compile in current rawhide environment :(
Comment 8 Christopher Blizzard 2003-09-03 10:52:33 EDT
Sorry, we're not including galeon at the moment.

Note You need to log in before you can comment on or make changes to this bug.